Loading...
Searching...
No Matches
elastix::LinearInterpolator< TElastix > Class Template Reference
Components » Interpolators

`#include <elxLinearInterpolator.h>`

## Detailed Description

template<class TElastix>
class elastix::LinearInterpolator< TElastix >

An interpolator based on the itk::AdvancedLinearInterpolateImageFunction.

This interpolator interpolates images using linear interpolation. In principle, this is the same as using the BSplineInterpolator with the setting (BSplineInterpolationOrder 1). However, the LinearInterpolator is significantly faster.

The parameters used in this class are:

Parameters
  Interpolator: Select this interpolator as follows:
  (Interpolator "LinearInterpolator")

Definition at line 44 of file elxLinearInterpolator.h.

Inheritance diagram for elastix::LinearInterpolator< TElastix >:
[legend]

## Public Types

using | ConstPointer = itk::SmartPointer<const Self>
using | ITKBaseType = typename Superclass2::ITKBaseType
using | Pointer = itk::SmartPointer<Self>
using | Self = LinearInterpolator
using | Superclass1
using | Superclass2 = InterpolatorBase<TElastix>
Public Types inherited from itk::AdvancedLinearInterpolateImageFunction< TInputImage, TCoordRep >
using | ConstPointer = SmartPointer<const Self>
using | ContinuousIndexValueType = typename ContinuousIndexType::ValueType
using | CovariantVectorType = CovariantVector<OutputType, Self::ImageDimension>
using | InputImageSpacingType = typename InputImageType::SpacingType
using | Pointer = SmartPointer<Self>
using | Self = AdvancedLinearInterpolateImageFunction
using | Superclass = LinearInterpolateImageFunction<TInputImage, TCoordRep>
Public Types inherited from elastix::InterpolatorBase< TElastix >
using | CoordRepType = ElastixBase::CoordRepType
using | ElastixType
using | InputImageType = typename ElastixType::MovingImageType
using | ITKBaseType = itk::InterpolateImageFunction<InputImageType, CoordRepType>
using | RegistrationType
using | Self = InterpolatorBase
using | Superclass = BaseComponentSE<TElastix>
Public Types inherited from elastix::BaseComponentSE< TElastix >
using | ElastixType = TElastix
using | RegistrationType = typename ElastixType::RegistrationBaseType
using | Self = BaseComponentSE
using | Superclass = BaseComponent

## Public Member Functions

| elxClassNameMacro ("LinearInterpolator")
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (LinearInterpolator)
| itkStaticConstMacro (ImageDimension, unsigned int, Superclass1::ImageDimension)
Public Member Functions inherited from itk::AdvancedLinearInterpolateImageFunction< TInputImage, TCoordRep >
CovariantVectorType | EvaluateDerivativeAtContinuousIndex (const ContinuousIndexType &x) const
void | EvaluateValueAndDerivativeAtContinuousIndex (const ContinuousIndexType &x, OutputType &value, CovariantVectorType &deriv) const
| ITK_DISALLOW_COPY_AND_MOVE (AdvancedLinearInterpolateImageFunction)
| itkStaticConstMacro (ImageDimension, unsigned int, Superclass::ImageDimension)
Public Member Functions inherited from elastix::InterpolatorBase< TElastix >
ITKBaseType * | GetAsITKBaseType ()
const ITKBaseType * | GetAsITKBaseType () const
| ITK_DISALLOW_COPY_AND_MOVE (InterpolatorBase)
Public Member Functions inherited from elastix::BaseComponentSE< TElastix >
void | AddTargetCellToIterationInfo (const char *const name)
const Configuration * | GetConfiguration () const
ElastixType * | GetElastix () const
auto & | GetIterationInfoAt (const char *const name)
RegistrationType * | GetRegistration () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponentSE)
void | RemoveTargetCellFromIterationInfo (const char *const name)
void | SetConfiguration (const Configuration *_arg)
void | SetElastix (ElastixType *_arg)
Public Member Functions inherited from elastix::BaseComponent
virtual void | AfterEachIteration ()
virtual void | AfterEachIterationBase ()
virtual void | AfterEachResolution ()
virtual void | AfterEachResolutionBase ()
virtual void | AfterRegistration ()
virtual void | AfterRegistrationBase ()
virtual int | BeforeAll ()
virtual int | BeforeAllBase ()
virtual void | BeforeEachResolution ()
virtual void | BeforeEachResolutionBase ()
virtual void | BeforeRegistration ()
virtual void | BeforeRegistrationBase ()
virtual const char * | elxGetClassName () const
const char * | GetComponentLabel () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponent)
| itkTypeMacroNoParent (BaseComponent)
void | SetComponentLabel (const char *label, unsigned int idx)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::AdvancedLinearInterpolateImageFunction< TInputImage, TCoordRep >
static Pointer | New ()
Static Public Member Functions inherited from elastix::BaseComponent
template<typename TBaseComponent>
static auto | AsITKBaseType (TBaseComponent *const baseComponent) -> decltype(baseComponent->GetAsITKBaseType())
static void | InitializeElastixExecutable ()
static bool | IsElastixLibrary ()

## Protected Member Functions

| LinearInterpolator ()=default
| ~LinearInterpolator () override=default
Protected Member Functions inherited from itk::AdvancedLinearInterpolateImageFunction< TInputImage, TCoordRep >
| AdvancedLinearInterpolateImageFunction ()=default
| ~AdvancedLinearInterpolateImageFunction () override=default
Protected Member Functions inherited from elastix::InterpolatorBase< TElastix >
| InterpolatorBase ()=default
| ~InterpolatorBase () override=default
Protected Member Functions inherited from elastix::BaseComponentSE< TElastix >
| BaseComponentSE ()=default
| ~BaseComponentSE () override=default
Protected Member Functions inherited from elastix::BaseComponent
| BaseComponent ()=default
virtual | ~BaseComponent ()=default

## Private Attributes

| elxOverrideGetSelfMacro

## Additional Inherited Members

Protected Attributes inherited from elastix::BaseComponentSE< TElastix >
Configuration::ConstPointer | m_Configuration {}
itk::WeakPointer< TElastix > | m_Elastix {}
RegistrationType * | m_Registration {}

## Member Typedef Documentation

## ConstPointer

template<class TElastix>

using elastix::LinearInterpolator< TElastix >::ConstPointer = itk::SmartPointer<const Self>

Definition at line 58 of file elxLinearInterpolator.h.

## ITKBaseType

template<class TElastix>

using elastix::LinearInterpolator< TElastix >::ITKBaseType = typename Superclass2::ITKBaseType

Definition at line 85 of file elxLinearInterpolator.h.

## Pointer

template<class TElastix>

using elastix::LinearInterpolator< TElastix >::Pointer = itk::SmartPointer<Self>

Definition at line 57 of file elxLinearInterpolator.h.

## Self

template<class TElastix>

using elastix::LinearInterpolator< TElastix >::Self = LinearInterpolator

Standard ITK-stuff.

Definition at line 53 of file elxLinearInterpolator.h.

## Superclass1

template<class TElastix>

using elastix::LinearInterpolator< TElastix >::Superclass1

Initial value:
itk::AdvancedLinearInterpolateImageFunction<typename InterpolatorBase<TElastix>::InputImageType,
typename InterpolatorBase<TElastix>::CoordRepType>
elastix::InterpolatorBase::CoordRepType
ElastixBase::CoordRepType CoordRepType
Definition elxInterpolatorBase.h:62
itk::AdvancedLinearInterpolateImageFunction
Linearly interpolate an image at specified positions.
Definition itkAdvancedLinearInterpolateImageFunction.h:65

Definition at line 54 of file elxLinearInterpolator.h.

## Superclass2

template<class TElastix>

using elastix::LinearInterpolator< TElastix >::Superclass2 = InterpolatorBase<TElastix>

Definition at line 56 of file elxLinearInterpolator.h.

## Constructor & Destructor Documentation

## LinearInterpolator()

template<class TElastix>

elastix::LinearInterpolator< TElastix >::LinearInterpolator | ( |  | ) |

protected default

The constructor.

## ~LinearInterpolator()

template<class TElastix>

elastix::LinearInterpolator< TElastix >::~LinearInterpolator | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## elxClassNameMacro()

template<class TElastix>

elastix::LinearInterpolator< TElastix >::elxClassNameMacro | ( | "LinearInterpolator< TElastix >" |  | ) |

Name of this class. Use this name in the parameter file to select this specific interpolator.
example: (Interpolator "LinearInterpolator")

## GetClassName()

template<class TElastix>

virtual const char * elastix::LinearInterpolator< TElastix >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::AdvancedLinearInterpolateImageFunction< TInputImage, TCoordRep >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TElastix>

elastix::LinearInterpolator< TElastix >::ITK_DISALLOW_COPY_AND_MOVE | ( | LinearInterpolator< TElastix > |  | ) |

## itkStaticConstMacro()

template<class TElastix>

elastix::LinearInterpolator< TElastix >::itkStaticConstMacro | ( | ImageDimension | ,
|  | unsigned int | ,
|  | Superclass1::ImageDimension | )

Get the ImageDimension.

## New()

template<class TElastix>

Pointer elastix::LinearInterpolator< TElastix >::New | ( |  | ) |

static

Method for creation through the object factory.

## Field Documentation

## elxOverrideGetSelfMacro

template<class TElastix>

elastix::LinearInterpolator< TElastix >::elxOverrideGetSelfMacro

private

Definition at line 94 of file elxLinearInterpolator.h.

Generated on 1768596610 for elastix by 1.15.0 |